
package webservices;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.3.0
 * Generated source version: 2.2
 * 
 */
@WebService(name = "IStateWS", targetNamespace = "http://webservices/")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface IStateWS {


    /**
     * 
     * @param arg0
     * @return
     *     returns boolean
     * @throws DatabaseErrorException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "updateState", targetNamespace = "http://webservices/", className = "webservices.UpdateState")
    @ResponseWrapper(localName = "updateStateResponse", targetNamespace = "http://webservices/", className = "webservices.UpdateStateResponse")
    @Action(input = "http://webservices/IStateWS/updateStateRequest", output = "http://webservices/IStateWS/updateStateResponse", fault = {
        @FaultAction(className = DatabaseErrorException_Exception.class, value = "http://webservices/IStateWS/updateState/Fault/DatabaseErrorException")
    })
    public boolean updateState(
        @WebParam(name = "arg0", targetNamespace = "")
        State arg0)
        throws DatabaseErrorException_Exception
    ;

    /**
     * 
     * @param arg0
     * @return
     *     returns boolean
     * @throws DatabaseErrorException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "deleteState", targetNamespace = "http://webservices/", className = "webservices.DeleteState")
    @ResponseWrapper(localName = "deleteStateResponse", targetNamespace = "http://webservices/", className = "webservices.DeleteStateResponse")
    @Action(input = "http://webservices/IStateWS/deleteStateRequest", output = "http://webservices/IStateWS/deleteStateResponse", fault = {
        @FaultAction(className = DatabaseErrorException_Exception.class, value = "http://webservices/IStateWS/deleteState/Fault/DatabaseErrorException")
    })
    public boolean deleteState(
        @WebParam(name = "arg0", targetNamespace = "")
        long arg0)
        throws DatabaseErrorException_Exception
    ;

    /**
     * 
     * @param arg0
     * @return
     *     returns java.util.List<webservices.State>
     * @throws DatabaseErrorException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "getStatesFromPanel", targetNamespace = "http://webservices/", className = "webservices.GetStatesFromPanel")
    @ResponseWrapper(localName = "getStatesFromPanelResponse", targetNamespace = "http://webservices/", className = "webservices.GetStatesFromPanelResponse")
    @Action(input = "http://webservices/IStateWS/getStatesFromPanelRequest", output = "http://webservices/IStateWS/getStatesFromPanelResponse", fault = {
        @FaultAction(className = DatabaseErrorException_Exception.class, value = "http://webservices/IStateWS/getStatesFromPanel/Fault/DatabaseErrorException")
    })
    public List<State> getStatesFromPanel(
        @WebParam(name = "arg0", targetNamespace = "")
        long arg0)
        throws DatabaseErrorException_Exception
    ;

    /**
     * 
     * @param arg0
     * @return
     *     returns boolean
     * @throws DatabaseErrorException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "saveState", targetNamespace = "http://webservices/", className = "webservices.SaveState")
    @ResponseWrapper(localName = "saveStateResponse", targetNamespace = "http://webservices/", className = "webservices.SaveStateResponse")
    @Action(input = "http://webservices/IStateWS/saveStateRequest", output = "http://webservices/IStateWS/saveStateResponse", fault = {
        @FaultAction(className = DatabaseErrorException_Exception.class, value = "http://webservices/IStateWS/saveState/Fault/DatabaseErrorException")
    })
    public boolean saveState(
        @WebParam(name = "arg0", targetNamespace = "")
        State arg0)
        throws DatabaseErrorException_Exception
    ;

}
